| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Functions
Transform Functions

## Content

| Complex FFT Functions
| Radix-8 Complex FFT Functions
| DCT Type IV Functions
| Real FFT Functions
| Complex FFT Tables
| RealFFT

## Functions

void | arm_radix4_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_split_rfft_f32 (float32_t *pSrc, uint32_t fftLen, float32_t *pATable, float32_t *pBTable, float32_t *pDst, uint32_t modifier)
| Core Real FFT process.

## Description

## Function Documentation

void arm_radix4_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

Referenced by arm_cfft_radix4_f32(), and arm_rfft_f32().

void arm_split_rfft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | float32_t * | pATable,
|  | float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

end of RealFFT group

Parameters

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

Referenced by arm_rfft_f32().